package com.ruoyi.system.domain.checkPoint;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 巡更点记录对象 check_point_record
 * 
 * @author boman
 * @date 2025-02-21
 */
public class CheckPointRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 巡更点记录id */
    private Long checkPointRecordId;

    /** 巡更点id */
    @Excel(name = "巡更点id")
    private Long checkPointManageId;

    /** 星期几 */
    @Excel(name = "星期几")
    private String dateTimeNum;

    /** 巡更类型(字典值) */
    @Excel(name = "巡更类型(字典值)")
    private String checkType;

    /** 巡更时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "巡更时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;

    /** 巡更路线 */
    @Excel(name = "巡更路线")
    private String checkAddress;

    /** 巡更人负责人姓名 */
    @Excel(name = "巡更人负责人姓名")
    private String userName;

    /** 巡更人负责人id */
    @Excel(name = "巡更人负责人id")
    private Long useId;

    /** 巡更人姓名 */
    @Excel(name = "巡更人姓名")
    private String checkUserName;

    /** 巡更人id */
    @Excel(name = "巡更人id")
    private Long checkUseId;
    /**
     * 巡更人员工管理id
     */
    private Long checkStaffId;

    /** 巡更人手机号 */
    @Excel(name = "巡更人手机号")
    private String checkUsePhone;

    /** 巡更结果 1：正常 2：损坏 */
    @Excel(name = "巡更结果 1：正常 2：损坏")
    private String checkResult;

    /** 巡更结果详情 */
    @Excel(name = "巡更结果详情")
    private String checkResultDetails;

    /** 巡更结果照片 */
    @Excel(name = "巡更结果照片")
    private String checkResultPhoto;

    /** 巡更时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "巡更时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date checkResultTime;

    /** 是否巡更 1:未巡更 2:已巡更 */
    @Excel(name = "是否巡更 1:未巡更 2:已巡更")
    private String checkStatus;

    public Long getCheckStaffId() {
        return checkStaffId;
    }

    public void setCheckStaffId(Long checkStaffId) {
        this.checkStaffId = checkStaffId;
    }

    public void setCheckPointRecordId(Long checkPointRecordId)
    {
        this.checkPointRecordId = checkPointRecordId;
    }

    public Long getCheckPointRecordId() 
    {
        return checkPointRecordId;
    }
    public void setCheckPointManageId(Long checkPointManageId) 
    {
        this.checkPointManageId = checkPointManageId;
    }

    public Long getCheckPointManageId() 
    {
        return checkPointManageId;
    }
    public void setDateTimeNum(String dateTimeNum) 
    {
        this.dateTimeNum = dateTimeNum;
    }

    public String getDateTimeNum() 
    {
        return dateTimeNum;
    }
    public void setCheckType(String checkType) 
    {
        this.checkType = checkType;
    }

    public String getCheckType() 
    {
        return checkType;
    }
    public void setCheckTime(Date checkTime) 
    {
        this.checkTime = checkTime;
    }

    public Date getCheckTime() 
    {
        return checkTime;
    }
    public void setCheckAddress(String checkAddress) 
    {
        this.checkAddress = checkAddress;
    }

    public String getCheckAddress() 
    {
        return checkAddress;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setUseId(Long useId) 
    {
        this.useId = useId;
    }

    public Long getUseId() 
    {
        return useId;
    }
    public void setCheckUserName(String checkUserName) 
    {
        this.checkUserName = checkUserName;
    }

    public String getCheckUserName() 
    {
        return checkUserName;
    }
    public void setCheckUseId(Long checkUseId) 
    {
        this.checkUseId = checkUseId;
    }

    public Long getCheckUseId() 
    {
        return checkUseId;
    }
    public void setCheckUsePhone(String checkUsePhone) 
    {
        this.checkUsePhone = checkUsePhone;
    }

    public String getCheckUsePhone() 
    {
        return checkUsePhone;
    }
    public void setCheckResult(String checkResult) 
    {
        this.checkResult = checkResult;
    }

    public String getCheckResult() 
    {
        return checkResult;
    }
    public void setCheckResultDetails(String checkResultDetails) 
    {
        this.checkResultDetails = checkResultDetails;
    }

    public String getCheckResultDetails() 
    {
        return checkResultDetails;
    }
    public void setCheckResultPhoto(String checkResultPhoto) 
    {
        this.checkResultPhoto = checkResultPhoto;
    }

    public String getCheckResultPhoto() 
    {
        return checkResultPhoto;
    }
    public void setCheckResultTime(Date checkResultTime) 
    {
        this.checkResultTime = checkResultTime;
    }

    public Date getCheckResultTime() 
    {
        return checkResultTime;
    }
    public void setCheckStatus(String checkStatus) 
    {
        this.checkStatus = checkStatus;
    }

    public String getCheckStatus() 
    {
        return checkStatus;
    }

    @Override
    public String toString() {
        return "CheckPointRecord{" +
                "checkPointRecordId=" + checkPointRecordId +
                ", checkPointManageId=" + checkPointManageId +
                ", dateTimeNum='" + dateTimeNum + '\'' +
                ", checkType='" + checkType + '\'' +
                ", checkTime=" + checkTime +
                ", checkAddress='" + checkAddress + '\'' +
                ", userName='" + userName + '\'' +
                ", useId=" + useId +
                ", checkUserName='" + checkUserName + '\'' +
                ", checkUseId=" + checkUseId +
                ", checkStaffId=" + checkStaffId +
                ", checkUsePhone='" + checkUsePhone + '\'' +
                ", checkResult='" + checkResult + '\'' +
                ", checkResultDetails='" + checkResultDetails + '\'' +
                ", checkResultPhoto='" + checkResultPhoto + '\'' +
                ", checkResultTime=" + checkResultTime +
                ", checkStatus='" + checkStatus + '\'' +
                '}';
    }
}
